#!/bin/sh
LIBS="Housings_DIP Housings_SOIC Housings_SSOP Housings_DFN_QFN Housings_SON Housings_QFP
      Housings_SIP Pin_Headers Socket_Strips Measurement_Points Wire_Pads Wire_Connections_Bridges 
      Housings_LCC Housings_LGA Housings_BGA Housings_CSP Housings_PGA
      TO_SOT_Packages_THT TO_SOT_Packages_SMD
      Diodes_SMD Diodes_THT Opto-Devices LEDs Displays_7-Segment Displays
      Capacitors_THT Capacitors_SMD Capacitors_Tantalum_SMD
      Resistors_SMD Varistors Resistors_Universal Resistors_THT Potentiometers
      Oscillators Crystals Buzzers_Beepers
      IR-DirectFETs Transistors_OldSowjetAera
      Fuse_Holders_and_Fuses Heatsinks Buttons_Switches_SMD Buttons_Switches_THT Relays_THT Relays_SMD Valves Sockets Shielding_Cabinets Power_Integrations Mounting_Holes Mechanical_Sockets Fiducials Enclosures
      Battery_Holders
      Transformers_THT Transformers_SMD Inductors_SMD Inductors_THT Transformers_SMPS_ThroughHole Transformers_CHK NF-Transformers_ETAL Inductors Inductors_NEOSID Filters_HF_Coils_NEOSID
      Choke_Toroid_ThroughHole Choke_SMD Choke_Radial_ThroughHole Choke_Common-Mode_Wurth Choke_Axial_ThroughHole Air_Coils_SML_NEOSID
      Connectors Connectors_Samtec Connectors_Amphenol Connectors_Hirose Connectors_JST Connectors_Molex Connectors_Phoenix Connectors_TE-Connectivity Connectors_USB Connectors_WAGO
      Connectors_Terminal_Blocks Connectors_Multicomp Connectors_Mini-Universal Connectors_JAE Connectors_Harwin Sockets_MOLEX_KK-System
      RF_Modules Microwave
      Modules Converters_DCDC_ACDC Hall-Effect_Transducers_LEM Symbols PFF_PSF_PSS_Leadforms Measurement_Scales Oddities Labels EuroBoard_Outline Divers Discret SMD_Packages"


for LIB in ${LIBS}; do
  echo "-> ${LIB}"
  if [ ! -d ${LIB}.pretty ]; then
    git clone https://github.com/kicad/${LIB}.pretty
  else
    (cd ${LIB}.pretty; git pull origin master)
  fi;

done;

